<div>
    <h2>
        <span jhiTranslate="mpmApp.headerKlaim.home.title">Header Klaims</span>
        <button class="btn btn-primary float-right jh-create-entity create-header-klaim" [routerLink]="['/', { outlets: { popup: ['header-klaim-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.headerKlaim.home.createLabel">
            Create new Header Klaim
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.headerKlaim.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <p-dataTable [value]="headerKlaims" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
        row="itemsPerPage" totalRecords="totalItems" dataKey="id_header" expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
        <p-header>
        </p-header>        
        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="No Transaksi">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.notrans}}
            </ng-template>
        </p-column>
        <p-column header="No Trans Klaim">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.notransklaim}}
            </ng-template>
        </p-column>
        <p-column header="bulan_program">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.bulan_program}}
            </ng-template>
        </p-column>
        <p-column header="No Klaim">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.noklaim}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Klaim">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.tgl_klaim}}
            </ng-template>
        </p-column>
        <p-column header="No Surat SKG">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.no_srt_skg}}
            </ng-template>
        </p-column>
        <p-column header="Tgl Surat SKG">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.tgl_srt_skg}}
            </ng-template>
        </p-column>
        <p-column header="Hal SKG">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.hal_skg}}
            </ng-template>
        </p-column>
        <p-column header="No Surat SBS">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.no_srt_sbs}}
            </ng-template>
        </p-column>
        <p-column header="Tgl Surat SBS">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.tgl_srt_sbs}}
            </ng-template>
        </p-column>
        <p-column header="Hal SBS">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.hal_sbs}}
            </ng-template>
        </p-column>
        <p-column header="Ket ACC">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.ketACC}}
            </ng-template>
        </p-column>
        <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
        <div *ngIf="headerKlaims && headerKlaims.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
